CloudHarness API

S3

Endpoint:https://api.cloudharness.com

List available S3 buckets

GET
https://api.cloudharness.com
/v1/s3/buckets

List available S3 buckets › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

List available S3 buckets › Responses

OK

  • successboolean · required
  • metadataobject · required
  • statusstring · required

    Descriptive status message

  • dataobject

List objects in a specified bucket

GET
https://api.cloudharness.com
/v1/s3/{bucket}

List objects in a specified bucket › path Parameters

  • bucketstring · required

List objects in a specified bucket › query Parameters

  • prefixstring
  • maxKeysinteger · min: 1 · max: 1000
    Default: 1000
  • continuationTokenstring

List objects in a specified bucket › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

List objects in a specified bucket › Responses

OK

  • successboolean · required
  • metadataobject · required
  • statusstring · required

    Descriptive status message

  • dataobject

Retrieve metadata for a specific object

GET
https://api.cloudharness.com
/v1/s3/{bucket}/{object_key}

Retrieve metadata for a specific object › path Parameters

  • bucketstring · required
  • object_keystring · required

Retrieve metadata for a specific object › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Retrieve metadata for a specific object › Responses

OK

  • successboolean · required
  • metadataobject · required
  • statusstring · required

    Descriptive status message

  • dataobject

Upload an object to a bucket

PUT
https://api.cloudharness.com
/v1/s3/{bucket}/{object_key}

Uploads or overwrites an object in the specified bucket. Returns metadata for the stored object.

  • 200 indicates an overwrite of an existing key.
  • 201 indicates a new object was created.

Upload an object to a bucket › path Parameters

  • bucketstring · required
  • object_keystring · required

Upload an object to a bucket › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Upload an object to a bucket › Request Body

  • filestring · binary · required
  • contentTypestring

    Optional content type to set for the object

Upload an object to a bucket › Responses

OK (overwrote existing object)

  • successboolean · required
  • metadataobject · required
  • statusstring · required

    Descriptive status message

  • dataobject

Delete a specific object

DELETE
https://api.cloudharness.com
/v1/s3/{bucket}/{object_key}

Delete a specific object › path Parameters

  • bucketstring · required
  • object_keystring · required

Delete a specific object › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Delete a specific object › Responses

OK

  • successboolean · required
  • metadataobject · required
  • statusstring · required

    Descriptive status message

  • dataobject